PDA

View Full Version : Some questions



Md. Jahid Shohel
19 May 2008, 8:51 AM
Hi,

I want to start using EXT GWT. But I have some questions,

1. I see GWT-EXT on this site, and also in gwt-ext. Why this differentiation? Are they same? I found there version is different. And also packaging is different, but appearance is almost same.

2. When I tried to develop a sample application and run it. I found error using the current version of GWT (which I have downloaded directly from gwt web site). It says not compatible with JDK 1.5 bla bla bla.......

3. Then I tried to run some examples which comes with GWT-EXT, and I got memory over flow. Then I increased the size to 60m, and i still get the error. Then I made it 128, and then JDK stared to complain about illegal memory size.

4. Is there any working version or if anyone has developed a sample applicaction which includes GWT-EXT updated version and GWT updated version? I mean a running version. Can anyone plz give me that dummy application so that I can see and do some experiment?


I am really sorry for bothering about all these question. I hope you guys will make some time to answer those and let me work with GWT-EXT. I really like this.


Regards,

Jahid

gslender
19 May 2008, 12:53 PM
1. I see GWT-EXT on this site, and also in gwt-ext. Why this differentiation? Are they same? I found there version is different. And also packaging is different, but appearance is almost same.

I'm assuming you mean GWT-Ext and ExtGWT (note the flip of the GWT and Ext). GWT-Ext is a wrapper library around ExtJS and I believe the project has been abandoned by the original author - not sure if anyone has picked it up yet. ExtGWT is an official ExtJS product written by Darrell of ExtJS - it is not a wrapper and is native GWT to JS code.



2. When I tried to develop a sample application and run it. I found error using the current version of GWT (which I have downloaded directly from gwt web site). It says not compatible with JDK 1.5 bla bla bla.......

You must use Java1.5 and GWT1.5M2 with ExtGWT



3. Then I tried to run some examples which comes with GWT-EXT, and I got memory over flow. Then I increased the size to 60m, and i still get the error. Then I made it 128, and then JDK stared to complain about illegal memory size.

I use -Xmx128M in my JRE launch to ensure I have enough memory. Perhaps your command left off the needed M after the 128 ???


4. Is there any working version or if anyone has developed a sample applicaction which includes GWT-EXT updated version and GWT updated version? I mean a running version. Can anyone plz give me that dummy application so that I can see and do some experiment?

I'll again assume you mean ExtGWT (we can't help you with GWT-EXT).
There are examples included with the download of the library and on this website.

buzz
20 May 2008, 6:06 AM
Umm.. gwt-ext is quite active but the author said it will only be supporting the LGPL Ext 2.0.2. Infact the recent move of opening up the project to several new commiters will certainly help grow the project. See

http://gwt-ext.com/forum/viewtopic.php?f=2&t=1339

Darrell, On a side note - Why did you decide to name your product as Ext Gwt instead of GXT. This definitely confuses most users with GWT-Ext for better or for worse.